﻿$(document).ready(function () {
    var sqliteLabDatatable = $('#sqliteLabDatatable').DataTable({
        "language": {
            "processing": "Loading data...",
        },
        "stateSave": true,
        "pageLength": 25,
        "lengthMenu": [0, 5, 10, 25, 50, 100, 200, 500],
        "select": true,
        "searching": false,
        "scrollX": true,
        "autoWidth": true,
        "processing": true,
        "serverSide": false,
        "filter": false,
        "ordering": false,
        "columnDefs": [
            {
                "targets": ['_all'],
                "defaultContent": "-",
                render: function (data, type, row) {
                    if (data) {
                        var text = document.createTextNode(data);
                        var safeData = text.textContent || text.nodeValue;

                        // Escaping for HTML attribute
                        var escapedSafeDataForAttribute = safeData.replace(/"/g, '&quot;').replace(/'/g, '&#39;');

                        return type === 'display' && safeData.length > 50 ?
                            safeData :
                            safeData;
                    }
                }
            }
        ]
    });
});